-- Deletes orphan baskets (and basket options) which have been left in the database
-- because of the bug in SessionListener. 
-- Also clears the current baskets of the people currently in the shop,
-- but that cannot be avoided and as the shop is being upgraded,
-- their sessions will propably be lost anyway.

delete from Basket where orderId is NULL and customerId is NULL;
delete BasketOption from BasketOption left join Basket on BasketOption.basket=Basket.id where Basket.id is NULL;